import React from "react"
import PropTypes from "prop-types"
import { FileOpenerProps } from "../types/FileOpenerProps"
import { useEffect } from "react"
import { useState } from "react"
import genDownloadLink from "../functions/genDownloadLink"

const TextOpener: React.FC<FileOpenerProps> = (props) => {

	const [text,setText] = useState("")

	useEffect(()=>{
		if (props.active){
			fetch(genDownloadLink(props.file.id)).then((res)=>res.text())
				.then((result)=>setText(result))
		}
	},[props.file])

	return (
		<div>
			<textarea  value={text} readOnly/>
		</div>
	)
}

TextOpener.propTypes = {
	file: PropTypes.any.isRequired,
}

export default TextOpener
